//package com.binary.demo;
//
//import org.junit.jupiter.api.Test;
//
//import java.io.IOException;
//import java.io.InputStream;
//import java.nio.file.*;
//import java.nio.file.attribute.BasicFileAttributes;
//import java.sql.SQLException;
//
//class DemoApplicationTests {
//
//
//
//    @Test
//    void test() throws SQLException, IOException {
//        Path startPath = Paths.get("C:/Users/Binary/Desktop/terra_b3dms/Block"); // 替换为你的文件夹路径
//
//        try {
//            Files.walkFileTree(startPath, new SimpleFileVisitor<Path>() {
//                @Override
//                public FileVisitResult visitFile(Path file, BasicFileAttributes attrs) throws IOException {
//                    String fullPath = file.toString().toLowerCase();
//                    if (fullPath.endsWith(".b3dm")) {
//                        Path glbPath = file.getParent().resolve(file.getFileName() + ".glb");
//                        Path gltfPath = file.getParent().resolve(file.getFileName() + ".gltf");
//
//                        if (Files.notExists(glbPath)) {
//                            b3dmToGlb(fullPath, glbPath.toString());
//                        }
//
//                        if (Files.notExists(gltfPath)) {
//                            glbToGltf(glbPath.toString(), gltfPath.toString());
//                        }
//
//                        optimizeGlb(gltfPath.toString(), glbPath.toString());
//                    }
//
//                    return FileVisitResult.CONTINUE;
//                }
//
//                @Override
//                public FileVisitResult visitFileFailed(Path file, IOException exc) {
//                    // 可以在这里处理访问失败的情况
//                    System.err.println("Failed to access file: " + file + " due to " + exc);
//                    return FileVisitResult.CONTINUE;
//                }
//            });
//        } catch (IOException e) {
//            e.printStackTrace();
//        }
//
//    }
//
//    public void b3dmToGlb(String b3dmPath, String glbPath) throws IOException {
//        ProcessBuilder processBuilder = new ProcessBuilder("C:/Users/Binary/AppData/Roaming/npm/3d-tiles-tools.cmd", "b3dmToGlb", "-f", "-i", b3dmPath, "-o",  glbPath);
//        Process process = processBuilder.start();
//        int i;
//        try {
//            InputStream inputStream = process.getInputStream();
//            byte[] bytes = inputStream.readAllBytes();
//            System.out.println(new String(bytes));
//            i = process.waitFor();
//        } catch (InterruptedException e) {
//            throw new RuntimeException(e);
//        }
//        System.out.println(i);
//    }
//
//    public void glbToGltf(String glbPath, String gltfPath) throws IOException {
//        ProcessBuilder processBuilder = new ProcessBuilder("C:/Users/Binary/AppData/Roaming/npm/gltf-pipeline.cmd", "-i", glbPath, "-o",  gltfPath);
//        Process process = processBuilder.start();
//        int i;
//        try {
//            InputStream inputStream = process.getErrorStream();
//            byte[] bytes = inputStream.readAllBytes();
//            System.out.println(new String(bytes));
//            i = process.waitFor();
//        } catch (InterruptedException e) {
//            throw new RuntimeException(e);
//        }
//
//        System.out.println(i);
//    }
//
//    public void optimizeGlb(String gltfPath, String glbPath) throws IOException {
//        ProcessBuilder processBuilder = new ProcessBuilder("D:/gltfpack.exe", "-cc", "-tc", "-i", gltfPath, "-o",  glbPath);
//        Process process = processBuilder.start();
//        int i;
//        try {
//            InputStream inputStream = process.getErrorStream();
//            byte[] bytes = inputStream.readAllBytes();
//            System.out.println(new String(bytes));
//            i = process.waitFor();
//        } catch (InterruptedException e) {
//            throw new RuntimeException(e);
//        }
//
//        System.out.println(i);
//    }
//}
